Bug 807236 - node profile is not respected.
node profile is not respected.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 06:44 EDT by Johnny Liu
Modified: 2012-04-13 14:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-27 06:44:02 EDT
Description of problem:
User can create a "medium" app on a "small" profile, it should not.

Version-Release number of selected component (if applicable):
devenv_1674

How reproducible:
Always

Steps to Reproduce:
1. Log into instance, set user to be vip using rhc-admin-user-vip.
2. Create an app with medium gear size
3.
  
Actual results:
App is created successfully.

Expected results:
App should be not created with error message - "No nodes available".

Additional info:
# mc-facts node_profile
Report for fact: node_profile

        small                                   found 1 times


Log message:
Started POST "/broker/cartridge" for 203.114.244.88 at Tue Mar 27 06:39:58 -0400 2012
  Processing by LegacyBrokerController#cartridge_post as 
  Parameters: {"json_data"=>"{\"cartridge\":\"php-5.3\",\"api\":\"1.1.3\",\"action\":\"configure\",\"node_profile\":\"medium\",\"app_name\":\"myapp\",\"rhlogin\":\"jialiu@redhat.com\"}", "password"=>"[FILTERED]"}
User-Agent = ''
Adding user jialiu@redhat.com...inside login
MongoDataStore.find(CloudUser, jialiu@redhat.com, jialiu@redhat.com)

MongoDataStore.find(CloudUser, jialiu@redhat.com, jialiu@redhat.com)

Checking to see if application name is black listed
Creating application myapp
Auto-merging group @@app/cart-php-5.3 into @@app
Creating gears
DEBUG: rpc_get_fact: fact=active_capacity
DEBUG: rpc_exec: rpc_client=#<MCollective::RPC::Client:0x7fead5a2c980>
Next server: ip-10-224-115-96 active capacity: 0.0
Current server: ip-10-224-115-96 active capacity: 0.0
CURRENT SERVER: ip-10-224-115-96
DEBUG: find_available_impl: current_server: ip-10-224-115-96: 0.0
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fead5eedc08>
Comment 1 Rajat Chopra 2012-03-27 20:45:59 EDT
fixed with rev#c31c5d6bb5558d46152ae40fca7082d2ca739d8a
Comment 2 Rajat Chopra 2012-03-27 23:11:47 EDT
This fix did not make it devenv_1677. It will be there in the next valid build.
Comment 3 Johnny Liu 2012-03-28 22:47:01 EDT
Verified this bug with devenv_1679, and PASS.

$ rhc-create-app -a myapp -t ruby-1.8 -p xx -g medium
Creating application: myapp in jialiu
Problem reported from server. Response code was 500.
Re-run with -d for more information.

RESULT:
No nodes available.  If the problem persists please contact Red Hat support.

Note You need to log in before you can comment on or make changes to this bug.